### Hierarchy

- ActiveUIView

## Index

### Properties

- $type
- config
- configUpdated
- creationContext
- fqn
- id
- name

## Properties

$type: string

type of framework, e.g., "ng1" or "ng2"

type of framework, e.g., "ng1" or "ng2"

- Defined in view/interface.ts:16

config: ViewConfig

The ViewConfig that is currently loaded into the ui-view

The ViewConfig that is currently loaded into the ui-view

- Defined in view/interface.ts:24

configUpdated: function

A callback that should apply a ViewConfig (or clear the ui-view, if config is undefined)

A callback that should apply a ViewConfig (or clear the ui-view, if config is undefined)

#### Type declaration

- - (config: ViewConfig): void

  - #### Parameters

    - ##### config ViewConfig

    #### Returns void

- Defined in view/interface.ts:28

creationContext: ViewContext

The state context in which the ui-view tag was created.

The state context in which the ui-view tag was created.

- Defined in view/interface.ts:26

fqn: string

The ui-view's fully qualified name

The ui-view's fully qualified name

- Defined in view/interface.ts:22

id: number

An auto-incremented id

An auto-incremented id

- Defined in view/interface.ts:18

name: string

The ui-view short name

The ui-view short name

- Defined in view/interface.ts:20

Generated using TypeDoc